#include <SoftwareSerial.h>

SoftwareSerial mySerial(3, 2); // Tx, Rx

void setup() {
  Serial.begin(9600);
  mySerial.begin(9600);

  Serial.println("Initialisation...");
  delay(1000);

  mySerial.println("AT");
  updateSerial();
  mySerial.println("AT+CMGF=1");
  updateSerial();
  mySerial.println("AT+CMGS=\"+ZZxxxxxxxxxx\"");
  updateSerial();
  mySerial.print("Message du tutoriel");
  updateSerial();
  mySerial.write(26); // Ctrl+Z
}

void loop() {
}

void updateSerial() {
  delay(500);
  while (Serial.available()) {
    mySerial.write(Serial.read());
  }
  while (mySerial.available()) {
    Serial.write(mySerial.read());
  }
}